=== examples/Kaleidoscope/Chapter7/Makefile ===
##===- examples/Kaleidoscope/Chapter7/Makefile -------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##
LEVEL = ../../..
TOOLNAME = Kaleidoscope-Ch7
EXAMPLE_TOOL = 1
REQUIRES_RTTI := 1

LINK_COMPONENTS := core jit native

include $(LEVEL)/Makefile.common
