=== debian/changelog ===
llvm-3.0 (3.0-4) unstable; urgency=low

  * Fix a problem in the commit 3.0-3 (patches were still not applied)
    quilt was explicitly needed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 17:24:41 +0100

llvm-3.0 (3.0-3) unstable; urgency=low

  * Patches were not applied/included into the llvm-3.0-source packages
    This fixes the kfreebsd build issue (Closes: #645546)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Dec 2011 18:00:17 +0100

llvm-3.0 (3.0-2) unstable; urgency=low

  * Fix the powerpc build. Thanks to Matthias Klose for the patch.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Dec 2011 11:04:15 +0100

llvm-3.0 (3.0-1) unstable; urgency=low

  * New upstream release (the official). Same as rc4 (besides a change in the
    release notes file)
  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 02 Dec 2011 10:13:34 +0100

llvm-3.0 (3.0~svn144889-1) experimental; urgency=low
  
  * New upstream release (rc4)
  * Multiarch support. Port of the patch provided in the bug #632034.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Nov 2011 18:33:28 +0100
