=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Arthur Loiret <aloiret@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 6.0.0), flex, bison, dejagnu, tcl8.5, expect,
-    autoconf, automake1.9, perl, libtool, doxygen, chrpath, texinfo,
+Build-Depends: debhelper (>= 8.1.3), flex, bison, dejagnu, tcl8.5, expect,
+    autoconf, automake1.9, perl, libtool, doxygen, chrpath, texinfo, quilt,
     sharutils, autotools-dev (>= 20060702.1), libffi-dev (>= 3.0.9),
     lsb-release, xz-utils, 
     binutils-dev (>= 2.20.51.20100222-1~), ocaml-nox (>= 3.11.2), ocaml-best-compilers | ocaml-nox, dh-ocaml (>= 0.9.1)
@@ -19,6 +19,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Low-Level Virtual Machine (LLVM), runtime library
  The Low-Level Virtual Machine (LLVM) is a collection of libraries and
  tools that make it easy to build compilers, optimizers, Just-In-Time
